package com.mall.member.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "GrowthChangeHistoryDTO对象", title = "成长值变化历史记录", description = "成长值变化历史记录的DTO对象")
public class GrowthChangeHistoryDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "memberId", title = "member_id")
    private Long memberId;

    @Schema(name = "createTime", title = "create_time")
    private LocalDateTime createTime;

    @Schema(name = "changeCount", title = "改变的值（正负计数）")
    private Integer changeCount;

    @Schema(name = "note", title = "备注")
    private String note;

    @Schema(name = "sourceType", title = "积分来源[0-购物，1-管理员修改]")
    private Integer sourceType;

}