package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.GrowthChangeHistoryDto;
import com.mall.member.domain.entity.GrowthChangeHistory;
import com.mall.member.domain.vo.GrowthChangeHistoryVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 成长值变化历史记录 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface GrowthChangeHistoryMapper extends BaseMapper<GrowthChangeHistory> {

    /**
     * * 分页查询成长值变化历史记录内容
     *
     * @param pageParams 成长值变化历史记录分页参数
     * @param dto        成长值变化历史记录查询表单
     * @return 成长值变化历史记录分页结果
     */
    IPage<GrowthChangeHistoryVo> selectListByPage(@Param("page") Page<GrowthChangeHistory> pageParams, @Param("dto") GrowthChangeHistoryDto dto);

}
