package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.MemberDto;
import com.mall.member.domain.entity.Member;
import com.mall.member.domain.vo.MemberVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface MemberMapper extends BaseMapper<Member> {

    /**
     * * 分页查询会员内容
     *
     * @param pageParams 会员分页参数
     * @param dto        会员查询表单
     * @return 会员分页结果
     */
    IPage<MemberVo> selectListByPage(@Param("page") Page<Member> pageParams, @Param("dto") MemberDto dto);

}
