package com.mall.member.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;
import com.mall.member.domain.dto.MemberReceiveAddressDto;
import com.mall.member.domain.entity.MemberReceiveAddress;
import com.mall.member.domain.vo.MemberReceiveAddressVo;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 会员收货地址 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
@Mapper
public interface MemberReceiveAddressMapper extends BaseMapper<MemberReceiveAddress> {

    /**
     * * 分页查询会员收货地址内容
     *
     * @param pageParams 会员收货地址分页参数
     * @param dto        会员收货地址查询表单
     * @return 会员收货地址分页结果
     */
    IPage<MemberReceiveAddressVo> selectListByPage(@Param("page") Page<MemberReceiveAddress> pageParams, @Param("dto") MemberReceiveAddressDto dto);

}
