package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.GrowthChangeHistoryDto;
import com.mall.member.domain.entity.GrowthChangeHistory;
import com.mall.member.domain.vo.GrowthChangeHistoryVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 成长值变化历史记录 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface GrowthChangeHistoryService extends IService<GrowthChangeHistory> {

    /**
     * 分页查询成长值变化历史记录
     *
     * @return {@link GrowthChangeHistoryVo}
     */
    PageResult<GrowthChangeHistoryVo> getGrowthChangeHistoryPage(Page<GrowthChangeHistory> pageParams, GrowthChangeHistoryDto dto);

    /**
     * 添加成长值变化历史记录
     *
     * @param dto {@link GrowthChangeHistoryDto} 添加表单
     */
    void addGrowthChangeHistory(GrowthChangeHistoryDto dto);

    /**
     * 更新成长值变化历史记录
     *
     * @param dto {@link GrowthChangeHistoryDto} 更新表单
     */
    void updateGrowthChangeHistory(GrowthChangeHistoryDto dto);

    /**
     * 删除|批量删除成长值变化历史记录类型
     *
     * @param ids 删除id列表
     */
    void deleteGrowthChangeHistory(List<Long> ids);
}
