package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.MemberCollectSubjectDto;
import com.mall.member.domain.entity.MemberCollectSubject;
import com.mall.member.domain.vo.MemberCollectSubjectVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 会员收藏的专题活动 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface MemberCollectSubjectService extends IService<MemberCollectSubject> {

    /**
     * 分页查询会员收藏的专题活动
     *
     * @return {@link MemberCollectSubjectVo}
     */
    PageResult<MemberCollectSubjectVo> getMemberCollectSubjectPage(Page<MemberCollectSubject> pageParams, MemberCollectSubjectDto dto);

    /**
     * 添加会员收藏的专题活动
     *
     * @param dto {@link MemberCollectSubjectDto} 添加表单
     */
    void addMemberCollectSubject(MemberCollectSubjectDto dto);

    /**
     * 更新会员收藏的专题活动
     *
     * @param dto {@link MemberCollectSubjectDto} 更新表单
     */
    void updateMemberCollectSubject(MemberCollectSubjectDto dto);

    /**
     * 删除|批量删除会员收藏的专题活动类型
     *
     * @param ids 删除id列表
     */
    void deleteMemberCollectSubject(List<Long> ids);
}
