package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.MemberLevelDto;
import com.mall.member.domain.entity.MemberLevel;
import com.mall.member.domain.vo.MemberLevelVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 会员等级 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface MemberLevelService extends IService<MemberLevel> {

    /**
     * 分页查询会员等级
     *
     * @return {@link MemberLevelVo}
     */
    PageResult<MemberLevelVo> getMemberLevelPage(Page<MemberLevel> pageParams, MemberLevelDto dto);

    /**
     * 添加会员等级
     *
     * @param dto {@link MemberLevelDto} 添加表单
     */
    void addMemberLevel(MemberLevelDto dto);

    /**
     * 更新会员等级
     *
     * @param dto {@link MemberLevelDto} 更新表单
     */
    void updateMemberLevel(MemberLevelDto dto);

    /**
     * 删除|批量删除会员等级类型
     *
     * @param ids 删除id列表
     */
    void deleteMemberLevel(List<Long> ids);
}
