package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.MemberLoginLogDto;
import com.mall.member.domain.entity.MemberLoginLog;
import com.mall.member.domain.vo.MemberLoginLogVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 会员登录记录 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface MemberLoginLogService extends IService<MemberLoginLog> {

    /**
     * 分页查询会员登录记录
     *
     * @return {@link MemberLoginLogVo}
     */
    PageResult<MemberLoginLogVo> getMemberLoginLogPage(Page<MemberLoginLog> pageParams, MemberLoginLogDto dto);

    /**
     * 添加会员登录记录
     *
     * @param dto {@link MemberLoginLogDto} 添加表单
     */
    void addMemberLoginLog(MemberLoginLogDto dto);

    /**
     * 更新会员登录记录
     *
     * @param dto {@link MemberLoginLogDto} 更新表单
     */
    void updateMemberLoginLog(MemberLoginLogDto dto);

    /**
     * 删除|批量删除会员登录记录类型
     *
     * @param ids 删除id列表
     */
    void deleteMemberLoginLog(List<Long> ids);
}
