package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.MemberReceiveAddressDto;
import com.mall.member.domain.entity.MemberReceiveAddress;
import com.mall.member.domain.vo.MemberReceiveAddressVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 会员收货地址 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface MemberReceiveAddressService extends IService<MemberReceiveAddress> {

    /**
     * 分页查询会员收货地址
     *
     * @return {@link MemberReceiveAddressVo}
     */
    PageResult<MemberReceiveAddressVo> getMemberReceiveAddressPage(Page<MemberReceiveAddress> pageParams, MemberReceiveAddressDto dto);

    /**
     * 添加会员收货地址
     *
     * @param dto {@link MemberReceiveAddressDto} 添加表单
     */
    void addMemberReceiveAddress(MemberReceiveAddressDto dto);

    /**
     * 更新会员收货地址
     *
     * @param dto {@link MemberReceiveAddressDto} 更新表单
     */
    void updateMemberReceiveAddress(MemberReceiveAddressDto dto);

    /**
     * 删除|批量删除会员收货地址类型
     *
     * @param ids 删除id列表
     */
    void deleteMemberReceiveAddress(List<Long> ids);
}
