package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.MemberDto;
import com.mall.member.domain.entity.Member;
import com.mall.member.domain.vo.MemberVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 会员 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface MemberService extends IService<Member> {

    /**
     * 分页查询会员
     *
     * @return {@link MemberVo}
     */
    PageResult<MemberVo> getMemberPage(Page<Member> pageParams, MemberDto dto);

    /**
     * 添加会员
     *
     * @param dto {@link MemberDto} 添加表单
     */
    void addMember(MemberDto dto);

    /**
     * 更新会员
     *
     * @param dto {@link MemberDto} 更新表单
     */
    void updateMember(MemberDto dto);

    /**
     * 删除|批量删除会员类型
     *
     * @param ids 删除id列表
     */
    void deleteMember(List<Long> ids);
}
