package com.mall.member.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.member.domain.dto.MemberStatisticsInfoDto;
import com.mall.member.domain.entity.MemberStatisticsInfo;
import com.mall.member.domain.vo.MemberStatisticsInfoVo;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.common.domain.vo.result.Result;
import com.mall.common.domain.vo.result.ResultCodeEnum;

import java.util.List;

/**
 * <p>
 * 会员统计信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 19:30:06
 */
public interface MemberStatisticsInfoService extends IService<MemberStatisticsInfo> {

    /**
     * 分页查询会员统计信息
     *
     * @return {@link MemberStatisticsInfoVo}
     */
    PageResult<MemberStatisticsInfoVo> getMemberStatisticsInfoPage(Page<MemberStatisticsInfo> pageParams, MemberStatisticsInfoDto dto);

    /**
     * 添加会员统计信息
     *
     * @param dto {@link MemberStatisticsInfoDto} 添加表单
     */
    void addMemberStatisticsInfo(MemberStatisticsInfoDto dto);

    /**
     * 更新会员统计信息
     *
     * @param dto {@link MemberStatisticsInfoDto} 更新表单
     */
    void updateMemberStatisticsInfo(MemberStatisticsInfoDto dto);

    /**
     * 删除|批量删除会员统计信息类型
     *
     * @param ids 删除id列表
     */
    void deleteMemberStatisticsInfo(List<Long> ids);
}
