package com.mall.order.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "OrderOperateHistoryVO对象", title = "订单操作历史记录", description = "订单操作历史记录的VO对象")
public class OrderOperateHistoryVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "orderId", title = "订单id")
    private Long orderId;

    @Schema(name = "operateMan", title = "操作人[用户；系统；后台管理员]")
    private String operateMan;

    @Schema(name = "createTime", title = "操作时间")
    private LocalDateTime createTime;

    @Schema(name = "orderStatus", title = "订单状态【0->待付款；1->待发货；2->已发货；3->已完成；4->已关闭；5->无效订单】")
    private Integer orderStatus;

    @Schema(name = "note", title = "备注")
    private String note;

}

