package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.OrderReturnApplyDto;
import com.mall.order.domain.entity.OrderReturnApply;
import com.mall.order.domain.vo.OrderReturnApplyVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 订单退货申请 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface OrderReturnApplyMapper extends BaseMapper<OrderReturnApply> {

    /**
     * * 分页查询订单退货申请内容
     *
     * @param pageParams 订单退货申请分页参数
     * @param dto        订单退货申请查询表单
     * @return 订单退货申请分页结果
     */
    IPage<OrderReturnApplyVo> selectListByPage(@Param("page") Page<OrderReturnApply> pageParams, @Param("dto") OrderReturnApplyDto dto);

}
