package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.OrderReturnReasonDto;
import com.mall.order.domain.entity.OrderReturnReason;
import com.mall.order.domain.vo.OrderReturnReasonVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 退货原因 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface OrderReturnReasonMapper extends BaseMapper<OrderReturnReason> {

    /**
     * * 分页查询退货原因内容
     *
     * @param pageParams 退货原因分页参数
     * @param dto        退货原因查询表单
     * @return 退货原因分页结果
     */
    IPage<OrderReturnReasonVo> selectListByPage(@Param("page") Page<OrderReturnReason> pageParams, @Param("dto") OrderReturnReasonDto dto);

}
