package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.OrderSettingDto;
import com.mall.order.domain.entity.OrderSetting;
import com.mall.order.domain.vo.OrderSettingVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 订单配置信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface OrderSettingMapper extends BaseMapper<OrderSetting> {

    /**
     * * 分页查询订单配置信息内容
     *
     * @param pageParams 订单配置信息分页参数
     * @param dto        订单配置信息查询表单
     * @return 订单配置信息分页结果
     */
    IPage<OrderSettingVo> selectListByPage(@Param("page") Page<OrderSetting> pageParams, @Param("dto") OrderSettingDto dto);

}
