package com.mall.order.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.order.domain.dto.RefundInfoDto;
import com.mall.order.domain.entity.RefundInfo;
import com.mall.order.domain.vo.RefundInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 退款信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
@Mapper
public interface RefundInfoMapper extends BaseMapper<RefundInfo> {

    /**
     * * 分页查询退款信息内容
     *
     * @param pageParams 退款信息分页参数
     * @param dto        退款信息查询表单
     * @return 退款信息分页结果
     */
    IPage<RefundInfoVo> selectListByPage(@Param("page") Page<RefundInfo> pageParams, @Param("dto") RefundInfoDto dto);

}
