package com.mall.order.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.OrderReturnApplyDto;
import com.mall.order.domain.entity.OrderReturnApply;
import com.mall.order.domain.vo.OrderReturnApplyVo;

import java.util.List;

/**
 * <p>
 * 订单退货申请 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface OrderReturnApplyService extends IService<OrderReturnApply> {

    /**
     * 分页查询订单退货申请
     *
     * @return {@link OrderReturnApplyVo}
     */
    PageResult<OrderReturnApplyVo> getOrderReturnApplyPage(Page<OrderReturnApply> pageParams, OrderReturnApplyDto dto);

    /**
     * 添加订单退货申请
     *
     * @param dto {@link OrderReturnApplyDto} 添加表单
     */
    void addOrderReturnApply(OrderReturnApplyDto dto);

    /**
     * 更新订单退货申请
     *
     * @param dto {@link OrderReturnApplyDto} 更新表单
     */
    void updateOrderReturnApply(OrderReturnApplyDto dto);

    /**
     * 删除|批量删除订单退货申请类型
     *
     * @param ids 删除id列表
     */
    void deleteOrderReturnApply(List<Long> ids);
}
