package com.mall.order.service;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.order.domain.dto.OrderReturnReasonDto;
import com.mall.order.domain.entity.OrderReturnReason;
import com.mall.order.domain.vo.OrderReturnReasonVo;

import java.util.List;

/**
 * <p>
 * 退货原因 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-05 18:54:06
 */
public interface OrderReturnReasonService extends IService<OrderReturnReason> {

    /**
     * 分页查询退货原因
     *
     * @return {@link OrderReturnReasonVo}
     */
    PageResult<OrderReturnReasonVo> getOrderReturnReasonPage(Page<OrderReturnReason> pageParams, OrderReturnReasonDto dto);

    /**
     * 添加退货原因
     *
     * @param dto {@link OrderReturnReasonDto} 添加表单
     */
    void addOrderReturnReason(OrderReturnReasonDto dto);

    /**
     * 更新退货原因
     *
     * @param dto {@link OrderReturnReasonDto} 更新表单
     */
    void updateOrderReturnReason(OrderReturnReasonDto dto);

    /**
     * 删除|批量删除退货原因类型
     *
     * @param ids 删除id列表
     */
    void deleteOrderReturnReason(List<Long> ids);
}
