package com.mall.product.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "CategoryDTO对象", title = "商品三级分类", description = "商品三级分类的DTO对象")
public class CategoryDto {

    @Schema(name = "catId", title = "分类id")
    private Long catId;

    @Schema(name = "name", title = "分类名称")
    private String name;

    @Schema(name = "parentCid", title = "父分类id")
    private Long parentCid;

    @Schema(name = "catLevel", title = "层级")
    private Integer catLevel;

    @Schema(name = "showStatus", title = "是否显示[0-不显示，1显示]")
    private Integer showStatus;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

    @Schema(name = "icon", title = "图标地址")
    private String icon;

    @Schema(name = "productUnit", title = "计量单位")
    private String productUnit;

    @Schema(name = "productCount", title = "商品数量")
    private Integer productCount;

}