package com.mall.product.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SkuInfoDTO对象", title = "sku信息", description = "sku信息的DTO对象")
public class SkuInfoDto {

    @Schema(name = "skuId", title = "skuId")
    private Long skuId;

    @Schema(name = "spuId", title = "spuId")
    private Long spuId;

    @Schema(name = "skuName", title = "sku名称")
    private String skuName;

    @Schema(name = "skuDesc", title = "sku介绍描述")
    private String skuDesc;

    @Schema(name = "catalogId", title = "所属分类id")
    private Long catalogId;

    @Schema(name = "brandId", title = "品牌id")
    private Long brandId;

    @Schema(name = "skuDefaultImg", title = "默认图片")
    private String skuDefaultImg;

    @Schema(name = "skuTitle", title = "标题")
    private String skuTitle;

    @Schema(name = "skuSubtitle", title = "副标题")
    private String skuSubtitle;

    @Schema(name = "price", title = "价格")
    private BigDecimal price;

    @Schema(name = "saleCount", title = "销量")
    private Long saleCount;

}