package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_spu_info")
@Schema(name = "SpuInfo对象", title = "spu信息", description = "spu信息的实体类对象")
public class SpuInfo {

    @Schema(name = "id", title = "商品id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "spuName", title = "商品名称")
    private String spuName;

    @Schema(name = "spuDescription", title = "商品描述")
    private String spuDescription;

    @Schema(name = "catalogId", title = "所属分类id")
    private Long catalogId;

    @Schema(name = "brandId", title = "品牌id")
    private Long brandId;

    @Schema(name = "weight", title = "")
    private BigDecimal weight;

    @Schema(name = "publishStatus", title = "上架状态[0 - 下架，1 - 上架]")
    private Integer publishStatus;

    @Schema(name = "createTime", title = "")
    private LocalDateTime createTime;

    @Schema(name = "updateTime", title = "")
    private LocalDateTime updateTime;

}