package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.AttrDto;
import com.mall.product.domain.entity.Attr;
import com.mall.product.domain.vo.AttrVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 商品属性 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface AttrMapper extends BaseMapper<Attr> {

    /**
     * * 分页查询商品属性内容
     *
     * @param pageParams 商品属性分页参数
     * @param dto        商品属性查询表单
     * @return 商品属性分页结果
     */
    IPage<AttrVo> selectListByPage(@Param("page") Page<Attr> pageParams, @Param("dto") AttrDto dto);

}
