package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.CategoryBrandRelationDto;
import com.mall.product.domain.entity.CategoryBrandRelation;
import com.mall.product.domain.vo.CategoryBrandRelationVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 品牌分类关联 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface CategoryBrandRelationMapper extends BaseMapper<CategoryBrandRelation> {

    /**
     * * 分页查询品牌分类关联内容
     *
     * @param pageParams 品牌分类关联分页参数
     * @param dto        品牌分类关联查询表单
     * @return 品牌分类关联分页结果
     */
    IPage<CategoryBrandRelationVo> selectListByPage(@Param("page") Page<CategoryBrandRelation> pageParams, @Param("dto") CategoryBrandRelationDto dto);

}
