package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.ProductAttrValueDto;
import com.mall.product.domain.entity.ProductAttrValue;
import com.mall.product.domain.vo.ProductAttrValueVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * spu属性值 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface ProductAttrValueMapper extends BaseMapper<ProductAttrValue> {

    /**
     * * 分页查询spu属性值内容
     *
     * @param pageParams spu属性值分页参数
     * @param dto        spu属性值查询表单
     * @return spu属性值分页结果
     */
    IPage<ProductAttrValueVo> selectListByPage(@Param("page") Page<ProductAttrValue> pageParams, @Param("dto") ProductAttrValueDto dto);

}
