package com.mall.product.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.mall.product.domain.dto.SpuInfoDto;
import com.mall.product.domain.entity.SpuInfo;
import com.mall.product.domain.vo.SpuInfoVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * spu信息 Mapper 接口
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
@Mapper
public interface SpuInfoMapper extends BaseMapper<SpuInfo> {

    /**
     * * 分页查询spu信息内容
     *
     * @param pageParams spu信息分页参数
     * @param dto        spu信息查询表单
     * @return spu信息分页结果
     */
    IPage<SpuInfoVo> selectListByPage(@Param("page") Page<SpuInfo> pageParams, @Param("dto") SpuInfoDto dto);

}
