package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.CategoryBrandRelationDto;
import com.mall.product.domain.entity.CategoryBrandRelation;
import com.mall.product.domain.vo.CategoryBrandRelationVo;

import java.util.List;

/**
 * <p>
 * 品牌分类关联 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface CategoryBrandRelationService extends IService<CategoryBrandRelation> {

    /**
     * 分页查询品牌分类关联
     *
     * @return {@link CategoryBrandRelationVo}
     */
    PageResult<CategoryBrandRelationVo> getCategoryBrandRelationPage(Page<CategoryBrandRelation> pageParams, CategoryBrandRelationDto dto);

    /**
     * 添加品牌分类关联
     *
     * @param dto {@link CategoryBrandRelationDto} 添加表单
     */
    void addCategoryBrandRelation(CategoryBrandRelationDto dto);

    /**
     * 更新品牌分类关联
     *
     * @param dto {@link CategoryBrandRelationDto} 更新表单
     */
    void updateCategoryBrandRelation(CategoryBrandRelationDto dto);

    /**
     * 删除|批量删除品牌分类关联类型
     *
     * @param ids 删除id列表
     */
    void deleteCategoryBrandRelation(List<Long> ids);
}
