package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.SkuInfoDto;
import com.mall.product.domain.entity.SkuInfo;
import com.mall.product.domain.vo.SkuInfoVo;

import java.util.List;

/**
 * <p>
 * sku信息 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface SkuInfoService extends IService<SkuInfo> {

    /**
     * 分页查询sku信息
     *
     * @return {@link SkuInfoVo}
     */
    PageResult<SkuInfoVo> getSkuInfoPage(Page<SkuInfo> pageParams, SkuInfoDto dto);

    /**
     * 添加sku信息
     *
     * @param dto {@link SkuInfoDto} 添加表单
     */
    void addSkuInfo(SkuInfoDto dto);

    /**
     * 更新sku信息
     *
     * @param dto {@link SkuInfoDto} 更新表单
     */
    void updateSkuInfo(SkuInfoDto dto);

    /**
     * 删除|批量删除sku信息类型
     *
     * @param ids 删除id列表
     */
    void deleteSkuInfo(List<Long> ids);
}
