package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.SkuSaleAttrValueDto;
import com.mall.product.domain.entity.SkuSaleAttrValue;
import com.mall.product.domain.vo.SkuSaleAttrValueVo;

import java.util.List;

/**
 * <p>
 * sku销售属性&值 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface SkuSaleAttrValueService extends IService<SkuSaleAttrValue> {

    /**
     * 分页查询sku销售属性&值
     *
     * @return {@link SkuSaleAttrValueVo}
     */
    PageResult<SkuSaleAttrValueVo> getSkuSaleAttrValuePage(Page<SkuSaleAttrValue> pageParams, SkuSaleAttrValueDto dto);

    /**
     * 添加sku销售属性&值
     *
     * @param dto {@link SkuSaleAttrValueDto} 添加表单
     */
    void addSkuSaleAttrValue(SkuSaleAttrValueDto dto);

    /**
     * 更新sku销售属性&值
     *
     * @param dto {@link SkuSaleAttrValueDto} 更新表单
     */
    void updateSkuSaleAttrValue(SkuSaleAttrValueDto dto);

    /**
     * 删除|批量删除sku销售属性&值类型
     *
     * @param ids 删除id列表
     */
    void deleteSkuSaleAttrValue(List<Long> ids);
}
