package com.mall.product.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.mall.common.domain.vo.result.PageResult;
import com.mall.product.domain.dto.SpuCommentDto;
import com.mall.product.domain.entity.SpuComment;
import com.mall.product.domain.vo.SpuCommentVo;

import java.util.List;

/**
 * <p>
 * 商品评价 服务类
 * </p>
 *
 * @author Bunny
 * @since 2025-07-04 14:05:53
 */
public interface SpuCommentService extends IService<SpuComment> {

    /**
     * 分页查询商品评价
     *
     * @return {@link SpuCommentVo}
     */
    PageResult<SpuCommentVo> getSpuCommentPage(Page<SpuComment> pageParams, SpuCommentDto dto);

    /**
     * 添加商品评价
     *
     * @param dto {@link SpuCommentDto} 添加表单
     */
    void addSpuComment(SpuCommentDto dto);

    /**
     * 更新商品评价
     *
     * @param dto {@link SpuCommentDto} 更新表单
     */
    void updateSpuComment(SpuCommentDto dto);

    /**
     * 删除|批量删除商品评价类型
     *
     * @param ids 删除id列表
     */
    void deleteSpuComment(List<Long> ids);
}
